API ReferenceOrganisation Management
🆕 Update organisation access levels (Admin only)
Update service-specific access levels for an organisation using the new multi-service OrganisationServiceAccess model. The legacy `accessLevelId` field is still accepted for backward compatibility but is deprecated — prefer `serviceAccesses`.
PUT
/v1/organisation-management/{id}/accessLevelAuthorization
bearer AuthorizationBearer <token>
In: header
Path Parameters
id*string
Organisation ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PUT "https://example.com/v1/organisation-management/string/accessLevel" \ -H "Content-Type: application/json" \ -d '{}'{ "success": true, "statusCode": 200, "message": "Request processed successfully", "timestamp": "2025-10-20T16:30:00.000Z", "path": "/v1/auth/register", "data": { "id": "org_cjld2cjxh0000qzrmn831i7rn", "serviceAccesses": [ { "id": "osa_cjld2cjxh0000qzrmn831i7rn", "serviceId": "service_bvn_id", "serviceName": "BVN", "accessLevelId": "cmmm1r8gf0004a25get8w0j95", "accessLevelName": "Standard", "isActive": true } ], "accessLevel": {}, "message": "Organisation access level updated successfully" }}